geoclue-2.0 (2.5.6-2+z1+git20230724000438.f820fc1.next.production) trixie; urgency=medium

  [ Bardia Moshiri ]
  * debian: disable all sources except hybris

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Replace Drone with CircleCI
  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * [skip ci] Move to Droidian rolling

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 23 Jul 2023 20:04:38 -0400

geoclue-2.0 (2.5.6-1+droidian0) bullseye; urgency=medium

  [ Guido Günther ]
  * config: Add phosh

  [ Erfan Abdi ]
  * Setup hybris source structure
  * Add binder backend for hybris

  [ Eugenio Paolantonio (g7) ]
  * Added Drone CI configuration

  [ Undef ]
  * d/salsa-ci: Add Debian's CI configuration

  [ Chris McGee ]
  * d/control: add Rules-Requires-Root field
  * d/patches: Use tac for lac for LTE cellular towers Ref#132
  * d/changelog: release version 2.5.6-1mobian1

  [ Laurent Bigonville ]
  * Do not install .la file anymore (Closes: #586089).
  * Fix typo in plazes.com URL (Closes: #584460)
  * Update debian/changelog
  * Make geoclue master package Recommends some backends (Closes: #602833)
  * Wrap {build-}dependencies
  * Add skyhook geocoding backend
  * Bump Standards-Version to 3.9.1
  * geoclue-manual shouldn't be in doc section
  * Update debian/changelog
  * Switch to dpkg-source 3.0 (quilt) format
  * Use dh_autotools-dev instead of updating config.{sub,guess} manually
  * Build-dep against libnm-glib-dev on linux-any arch
  * debian/patches/libnm-glib-pc.patch: Fix libnm-glib.pc name
  * debian/patches/autoreconf.patch: Update configure file
  * debian/rules: Be sure we FTBFS if we miss something
  * Drop debian/clean, not needed anymore
  * Update debian/changelog
  * debian/rules: Be sure we never build with connman support
  * Add myself as uploader
  * Update changelog and release to unstable
  * Bump Standards-Version to 3.9.2 (no further changes)
  * Add geoclue-nominatim provider
  * Merge tag 'upstream/0.12.0'
  * Switch to experimental branches
  * Merge tag 'upstream/0.12.99' into experimental
  * Imported Upstream version 0.12.99
  * Adjust the build-dependencies
  * Bump debhelper compatibility to 9
  * Install geoclue GSettings schemas
  * Drop usage of quilt and autotools-dev
  * Bump Standards-Version to 3.9.3 (no further changes)
  * Drop all the patches applied upstream
  * Update changelog
  * Adopt the package with Bernd blessing
  * Bump Standards-Version to 3.9.4 (no further changes)
  * debian/gbp.conf: Switch back to the master branch
  * Update the debian/watch file
  * Recommends geoclue-nominatim instead of geoclue-yahoo
  * Release to unstable
  * debian/control: Add Multi-Arch: same for libgeoclue0 package
  * debian/control: Use canonical URL for the Vcs-* fields
  * Always update autotools helper files during build
  * debian/gbp.conf: Set tarball-dir and export-dir
  * Release to unstable
  * Imported Upstream version 2.0.0
  * Merge tag 'upstream/2.0.0' into experimental
  * Do not use multi-arch path for the daemon
  * debian/control: Fix D-Bus capitalization
  * debian/control: Drop Recommends for geoclue package, not needed anymore
  * Disable server side binaries for now
  * Run the service under the "geoclue" user
  * Release to experimental
  * Shorten line in debian/changelog to please lintian
  * Release to experimental
  * Rename the package to geoclue-2.0
  * Move the geoclue daemon to /usr/lib/geoclue-2.0
  * Add Breaks/Replaces against geoclue (>= 2.0)
  * Bump Standards-Version to 3.9.5 (no further changes)
  * Update debian/copyright file
  * Release to unstable
  * debian/copyright: Add licence for docs/geoclue-docs.xml
  * debian/copyright: Deduplicate LGPL2+ license text
  * Release to unstable
  * Imported Upstream version 2.1.0
  * Merge tag 'upstream/2.1.0'
  * Pass --with-systemdsystemunitdir= to the configure
  * debian/rules: debian/geoclue.install: Install all the files
  * Imported Upstream version 2.1.4
  * Merge tag 'upstream/2.1.4'
  * Adjust build-dependencies
  * Explicitly disable ModemManager and NetworkManager features on !linux
  * Imported Upstream version 2.1.5
  * Merge tag 'upstream/2.1.5'
  * Use the debian names for the browsers .desktop files
  * Move the demos from /usr/share to /usr/lib
  * Release to experimental
  * Imported Upstream version 2.1.7
  * Merge tag 'upstream/2.1.7'
  * Fix the path for the demos again
  * Release to unstable
  * Imported Upstream version 2.1.8
  * Merge tag 'upstream/2.1.8'
  * Rename --disable-wifi-source flag to --disable-network-manager
  * Release to unstable
  * debian/rules: Drop --enable-geoip-server=no, removed upstream
  * Imported Upstream version 2.1.9
  * Merge tag 'upstream/2.1.9'
  * Adjust build-dependencies
  * Refresh debian/patches/01-debianize-desktop-name.patch
  * debian/rules: Pass --disable-silent-rules to the configure
  * debian/rules: Drop --disable-network-manager flag, removed upstream
  * debian/control: Recommends modemmanager and wpasupplicant
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * Release to unstable
  * Only recommends modemmanger and wpasupplicant where the pkg is built
  * d/p/01-debianize-desktop-name.patch: Readd support for epiphany
  * Imported Upstream version 2.1.10
  * Merge tag 'upstream/2.1.10'
  * Explicitly disable CMDA source on non linux architectures
  * Release to unstable
  * Add polkit rules and pkla files to allow geoclue to query a modem location
  * Release to unstable
  * Imported Upstream version 2.2.0
  * Merge tag 'upstream/2.2.0'
  * debian/control: Explicitly require libsoup >= 2.42
  * Update debian/copyright file
  * Only allows the geoclue user to call methods from of the Agent's
  * Release to unstable
  * Imported Upstream version 2.3.0
  * Merge tag 'upstream/2.3.0'
  * Drop libgeoip-dev and geoip-database build-dependencies
  * Drop 03-Only-allow-the-geoclue-user-to-call-methods.patch merged upstream
  * Add libavahi-{client,glib}-dev to the build-dep per configure
  * Run wrap-and-sort
  * Add avahi-daemon to the Recommends
  * Release to unstable
  * Add iio-sensor-proxy to the Recommends
  * Release to unstable
  * Imported Upstream version 2.4.0
  * Merge tag 'upstream/2.4.0'
  * Enable the convenience library and the gir support
  * Release to unstable
  * debian/control: Fix a typo (interract → interact)
  * Make the package for the convenience library Multi-arch: same
  * Make the package for the convenience library Multi-arch: same (really)
  * Release to unstable
  * Imported Upstream version 2.4.1
  * Merge tag 'upstream/2.4.1'
  * Release to unstable
  * Imported Upstream version 2.4.3
  * Merge tag 'upstream/2.4.3'
  * Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Update the Vcs-* URL to please lintian (again)
  * Release to unstable
  * New upstream version 2.4.4
  * Merge tag 'upstream/2.4.4'
  * debian/libgeoclue-2-0.symbols: Add new exported symbols
  * debian/libgeoclue-2-0.symbols: Add Build-Depends-Package field
  * debian/rules: Enable all hardening flags
  * Release to unstable
  * New upstream version 2.4.5
  * Merge tag 'upstream/2.4.5'
  * [c9d350d8] New upstream version 2.4.5
  * New upstream version 2.4.7
  * Updated version 2.4.7 from 'upstream/2.4.7'
  * Drop d/p/01-debianize-desktop-name.patch, not relevant anymore
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)
  * debian/gbp.conf: Rename the sections as requested
  * Release to unstable
  * debian/control: Update Vcs-* fields, git repository moved to salsa
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/rules: Use dh_missing instead of dh_install to list "missing" files
  * debian/watch: Use https instead of http
  * Drop autotools-dev and --with autotools-dev sequence
  * Update debian/changelog file
  * New upstream version 2.4.10
  * Update upstream source from tag 'upstream/2.4.10'
  * debian/control: Bump libmm-glib-dev build-dep to >= 1.6
  * Move the demo programs to -demo package and install the demo agent as well
  * Release to unstable
  * Bump debhelper compatibility to 11
  * debian/control: Update Homepage field
  * New upstream version 2.4.11
  * Update upstream source from tag 'upstream/2.4.11'
  * debian/control: Bump libglib2.0-dev build-dep to 2.44.0
  * debian/control: Bump Standards-Version to 4.2.0 (no further changes)
  * Release to unstable
  * New upstream version 2.4.12
  * Update upstream source from tag 'upstream/2.4.12'
  * Add API and library documentation packages
  * Release to unstable
  * Move the demo agent to the main package
  * Release to unstable
  * New upstream version 2.5.0
  * Update upstream source from tag 'upstream/2.5.0'
  * debian/watch: Update URL and point to gitlab.fdo
  * Update the debian buildsystem now that the upstream one has switched to meson
  * debian/patches/02-move-demo-lib.patch: Refreshed
  * debian/libgeoclue-2-0.symbols: Drop gclue_accuracy_level_get_string, not part of the public API
  * d/p/fix-libexecdir.patch: Fix libexecdir in .service files
  * Release to unstable
  * debian/rules: Fix FTBFS if gtkdoc-scan is not installed or nodoc profile is set
  * Install Vala API files
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * Release to unstable
  * debian/control: Make libgeoclue-2-dev depend explicitly against libglib2.0-dev
  * Update upstream source from tag 'upstream/2.5.1'
  * New upstream version 2.5.1
  * Drop debian/patches/fix-libexecdir.patch, merged upstream
  * debian/libgeoclue-2-0.symbols: Readd gclue_accuracy_level_get_string(), as it was part of the public API in the end, oups
  * Release to unstable
  * Update upstream source from tag 'upstream/2.5.2'
  * New upstream version 2.5.2
  * debian/control: Bump glib dependency to 2.44.0
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)
  * debian/libgeoclue-2-0.symbols: Add newly exported symbols
  * Release to unstable
  * Update upstream source from tag 'upstream/2.5.3'
  * New upstream version 2.5.3
  * debian/control: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/libgeoclue-2-0.symbols: Add newly exported symbols
  * debian/geoclue-2.0.install: Install new geoclue.5 manpage
  * debian/copyright: Use https for the format uri, to please lintian
  * debian/changelog: Remove trailing whitespaces
  * debian/copyright: Removed unused file paragraph
  * debian/geoclue-2.0.lintian-overrides: Override package-supports-alternative-init-but-no-init.d-script
  * Release to unstable
  * debian/rules: Install the NEWS file as upstream changelog
  * Update upstream source from tag 'upstream/2.5.5'
  * New upstream version 2.5.5
  * Set libexecdir to /usr/libexec now that the policy allows it
  * Release to unstable
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/changelog: Add new changelog entries
  * Release to unstable
  * debian/README.Debian: Add information about MLS and a link to the service Privacy Notice page

  [ Will Thompson ]
  * New upstream version 2.5.6
  * Update upstream source from tag 'upstream/2.5.6'
  * debian/changelog: update for 2.5.6 release

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Andreas Henriksson ]
  * Update debian/watch for new release location
  * Use dh-autoreconf
  * Update build-dependencies according to configure.ac
  * Add intltool build-dependency
  * Drop debian/patches/
  * Revamp binary packages for geoclue2
  * Drop obsolete configure flags
  * Add build-dependency on geoip-database
  * Make test-suite non-fatal
  * Update debian/geoclue.install for GeoClue2
  * Drop debian/docs
  * Drop debian/README.source
  * Update debian/copyright for GeoClue2
  * Add dependency on adduser as it's used by postinst
  * Update debian/changelog

  [ Bernd Zeimetz ]
  * Imported Upstream version 0.11.1
  * Imported Debian patch 0.11.1-1.1
  * Updating packaging as prepared by Craig Andrews.
  * Small fixed in the package, preparing a release.
  * Add debian/gbp.conf to make sure we use pristine-tar.
  * Only install *.c and the Makefile as examples, not the pre-built .o files and linker scripts.
  * Fix example directory name.
  * Fixing typo in the last changelog entry.
  * Fixing typo in the last changelog entry.
  * Migrating from cdbs to dh(7).
  * Build geoclue with network-manager support.
  * Updating changelog.
  * Move geoclue-test-gui into geoclue-examples.
  * Updating changelog.
  * Fixing section override disparities.
  * Use libglib2.0-dev instead of libglib-dev.
  * Updating changelog.
  * Cleaning up git buildpackage config.
  * Bump compat to level 7.
  * Merge branch 'dh'
  * Adding debian/clean for dh_clean, drop extra rules.
  * Copy config.guess/sub and clean up after build.
  * Adding patch to fix wrong comment syntax in example code.
  * Fix HostIP provider to work with latest web API
  * Use dh_quilt_* in debian/rules.
  * Bumping Standards-Version to 3.8.3, no changes needed.
  * Updating changelog.
  * Use pkg-config to check for gpsd, require 2.91.
  * Update geoclue-gpsd to use the new non-blocking gps_poll.
  * Merge commit '0.11' into upstream
  * Merge remote branch 'remotes/upstream/master' into upstream
  * Merge remote branch 'remotes/recluse/gpsd-fix' into upstream
  * Updating autotools and friends.
  * Drop removed files.
  * Merge branch 'upstream'
  * Updating changelog.
  * Updating patches.
  * Remove files we need to build from .gitignore.
  * Add missing files to git.
  * Merge branch 'upstream'
  * The Makefiles don't install the test gui anymore, work around that.
  * Updating symbols file.
  * Don't require network-manager-dev on kfreebsd.
  * Updating changelog.
  * Require libgps >= 2.90.1~svn6819 to build.
  * Updating changelog.
  * Use pkg-config to check for gpsd, require 2.91.
  * Update geoclue-gpsd to use the new non-blocking gps_poll.
  * Merge commit '0.12' into upstream
  * Merge branch 'upstream'
  * Add ofono-dev as build-dependency.
  * Replace gammu by ofono in the description.
  * Drop libgammu-dev build-dep.
  * Imported Upstream version 0.12.0
  * Imported Upstream version 0.12.0
  * Updating patches.
  * Updating symbols file.
  * Reorder dh optionts as specified by the manpage.
  * Switching Maintainer/Uploaders.
  * Updating changelog.
  * Fix description of localnet provider.
  * Don't depend on network-manager-dev on hurd.
  * Updating changelog.
  * Updating changelog.
  * Remove gpsd support.
  * Updating changelog.

  [ Evgeni Golov ]
  * add Provides: geoclue-provider to every provider
  * don't fetch priv if it's not used, makes gcc-4.6 silent

  [ arno ]
  * Bug #26649: disable plazes if it gives unuseful results.
  * Bug #22160: providers report online when connectivity is null

  [ Jussi Kukkonen ]
  * localnet: don't do horrible shell script calls
  * plazes: don't do horrible shell script calls
  * improve revgeocode-example
  * add OpenStreetMap Nominatim geocoder/reverse geocoder
  * gsmloc provider: stop using gammu, start using ofono
  * gsmloc: separate ofono-related bits from provider
  * add geoclue_address_details_set_country_from_code()
  * make address string handling clearer
  * add missing file and Makefile.am changes for gsmloc
  * remove double unref in position-async-example
  * gsmloc: add missing xml files
  * add Geocode.FreeformAddressToPosition()-method
  * gtk-ui: improve geocoder example
  * Merge branch 'gpsd' into HEAD

  [ Bastien Nocera ]
  * Add error type registration
  * Don't lose special D-Bus error sauce when copying

  [ Danielle Madeley ]
  * Fix HostIP provider to work with latest web API

  [ Pierre-Luc Beaudoin ]
  * Fix Skyhooks provider and service to mention Skyhook dbus name
  * Add Invalidated signal when the dbus client object dies

  [ Keith Preston ]
  * Added licensing text to all source files for bug #15054
  * Bug 16161 - Don't crash when network info is empty
  * Bug #17575: add skyhook sample provider based on loki.com service
  * Bug #20865: libgammu API changed
  * Bug #22373: Fix wrong free function for libxml
  * Bug #22378: Add options with Netowkr Manager to get better AP MAC detection
  * Add license to a few other missing files
  * Bug #22380: listen to gconf key for dynamic changes
  * Bug #22920: fix leak in gc_provider when removing reference
  * Bug #22416: Remove automagic deps and add switches to enable/disable

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Sep 2021 10:02:27 +0330

